complexType "ElectricityDelivery"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (deliveryPoint, deliveryType?, transmissionContingency?) | (deliveryZone, electingPartyReference?)
</...>

Content Model Elements (5):

  deliveryPoint (in deliveryConditions in electricityPhysicalLeg),
  deliveryType (in deliveryConditions in electricityPhysicalLeg),
  deliveryZone,
  electingPartyReference,
  transmissionContingency

All Direct / Indirect Based Elements (1):

  deliveryConditions (in electricityPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in electricityPhysicalLeg)

Annotation
The physical delivery conditions for electricity.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="ElectricityDelivery"> <xsd:choice> <xsd:sequence> <xsd:element name="deliveryPoint" type="ElectricityDeliveryPoint"/> <xsd:element minOccurs="0" name="deliveryType" type="ElectricityDeliveryType"/> <xsd:element minOccurs="0" name="transmissionContingency" type="ElectricityTransmissionContingency"/> </xsd:sequence> <xsd:sequence> <xsd:element name="deliveryZone" type="CommodityDeliveryPoint"/> <xsd:element minOccurs="0" name="electingPartyReference" type="PartyReference"/> </xsd:sequence> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
deliveryPoint

  Type: | ElectricityDeliveryPoint, simple content

  The point at which delivery of the electricity will occur.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryPoint" type="ElectricityDeliveryPoint"/>

deliveryType

  Type: | ElectricityDeliveryType, complex content

  Indicates the under what conditions the Parties' delivery obligations apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryType" type="ElectricityDeliveryType"/>

deliveryZone

  Type: | CommodityDeliveryPoint, simple content

  The zone covering potential delivery points for the electricity.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryZone" type="CommodityDeliveryPoint"/>

electingPartyReference

  Type: | PartyReference, empty content

  Indicates the party able to decide which delivery point within the deliveryPoint is used for delivery. For EEI transactions, this should reference the seller of the electricity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="electingPartyReference" type="PartyReference"/>

transmissionContingency

  Type: | ElectricityTransmissionContingency, complex content

  Indicates that the performance of the buyer or seller shall be excused (under the conditions specified) if transmission of the elctricity is unavailable or interrupted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="transmissionContingency" type="ElectricityTransmissionContingency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.